{
	"name": "form/nc/erp-sync/wapro/column/order-invoice.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status === 'changed'",
				"nc-grid-row-deleted": "data.change_status === 'deleted'",
				"nc-grid-row-equal": "data.change_status === 'equal'",
				"nc-grid-row-new": "data.change_status === 'new'"
			}
		}
	},
	"column": [
		{
			"link_field": "ord.order_id",
			"name": "Row",
			"record_type": "invoice",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ord.order_id",
			"width": 120
		},
		{
			"field": "ord.invoicing_company_id",
			"name": "Customer",
			"width": 130
		},
		{
			"field": "ord.invoicing_address",
			"name": "Address",
			"width": 350
		},
		{
			"field": "co.name",
			"name": "Company",
			"width": 120,
			"change_compare": false,
			"organization_id": { "wapro": { "field": "ord.json_data.co.name" } }
		},
		{
			"field": "co.post_code",
			"name": "Post code",
			"width": 120,
			"change_compare": false,
			"organization_id": { "wapro": { "field": "ord.json_data.co.post_code" } }
		},
		{
			"field": "co.post_office",
			"name": "Post office",
			"width": 120,
			"change_compare": false,
			"organization_id": { "wapro": { "field": "ord.json_data.co.post_office" } }
		},
		{
			"field": "co.vat_number",
			"name": "VAT number",
			"width": 80,
			"change_compare": false,
			"organization_id": { "wapro": { "field": "ord.json_data.co.vat_number" } }
		},
		{
			"field": "ord.order_date",
			"width": 90
		},
		{
			"field": "ord.json_data.destination_date",
			"width": 130
		},
		{
			"field": "ord.due_date",
			"width": 90
		},
		{
			"field": "ord.price_without_vat",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "ord.vat_price",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "ord.price_with_vat",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "ord.exchange_rate",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "ord.info",
			"name": "Info",
			"width": 400
		},
		{
			"field": "ord.record_id",
			"name": "Record id",
			"width": 350,
			"change_compare": false
		}
	]
}
